/* CPAAbout.hpp : header file*/
/**/
 
#ifndef __CPAABOUT_HPP__
#define __CPAABOUT_HPP__
 
#include "cpares.h"
 
/*///////////////////////////////////////////////////////////////////////////*/
/* CPA_DlgAbout dialog*/
 
class CPA_MainWorld;
 
class CPA_DlgAbout : public CDialog
{
/* Construction*/
public:
	CPA_DlgAbout(CWnd* pParent = NULL);   /* standard constructor*/
 
    void fn_vSetMainWorld(CPA_MainWorld *_p_oMainWorld)     { m_p_oMainWorld = _p_oMainWorld; }
 
/* Dialog Data*/
	/*{{AFX_DATA(CPA_DlgAbout)*/
	enum { IDD = CPA_IDD_ABOUT };
	/*}}AFX_DATA*/
 
 
/* Overrides*/
	/* ClassWizard generated virtual function overrides*/
	/*{{AFX_VIRTUAL(CPA_DlgAbout)*/
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    /* DDX/DDV support*/
	/*}}AFX_VIRTUAL*/
 
/* Implementation*/
protected:
    CPA_MainWorld   *m_p_oMainWorld;
	/* Generated message map functions*/
	/*{{AFX_MSG(CPA_DlgAbout)*/
	virtual BOOL OnInitDialog();
	/*}}AFX_MSG*/
	DECLARE_MESSAGE_MAP()
 
    void fn_vFillEditorList();
};
 
#endif  /* __CPAABOUT_HPP__*/
